Namespace: Rhino.GeometryLine: references
Line(double x0, double y0, double z0, double x1, double y1, double z1)
Line(Point3d from, Point3d to)
Line(Point3d start, Vector3d direction, double length)
Line(Point3d start, Vector3d span)
BoundingBox
Direction
From
FromX
FromY
FromZ
IsValid
Length
To
ToX
ToY
ToZ
UnitTangent
Unset
ClosestParameter(Point3d testPoint)
ClosestPoint(Point3d testPoint, bool limitToFiniteSegment)
DistanceTo(Point3d testPoint, bool limitToFiniteSegment)
EpsilonEquals(Line other, double epsilon)
Equals(Line other)
Equals(object obj)
Extend(double startLength, double endLength)
ExtendThroughBox(BoundingBox box, double additionalLength)
ExtendThroughBox(BoundingBox box)
ExtendThroughBox(Box box, double additionalLength)
ExtendThroughBox(Box box)
Flip()
GetHashCode()
MaximumDistanceTo(Line testLine)
MaximumDistanceTo(Point3d testPoint)
MinimumDistanceTo(Line testLine)
MinimumDistanceTo(Point3d testPoint)
PointAt(double t)
PointAtLength(double distance)
ToNurbsCurve()
ToString()
ToString(string format,IFormatProvider formatProvider)
Transform(Transform xform)
TryCreateBetweenCurves(Curve curve0, Curve curve1, ref double t0, ref double t1, bool perpendicular0, bool perpendicular1, out Line line)
TryFitLineToPoints(IEnumerable<Point3d> points, out Line fitLine)
TryGetPlane(out Plane plane)
!=
==